This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 806493 - Cannot delete VM
Cannot delete VM
Status: CLOSED WONTFIX
Product: oVirt
Classification: Community
Component: vdsm (Show other bugs)
unspecified
x86_64 Linux
unspecified Severity high
: ---
: 3.3.4
Assigned To: Ayal Baron
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-23 23:40 EDT by Saurabh Bathe
Modified: 2016-02-10 12:09 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-12 04:58:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log entries from vdsm.log (20.12 KB, text/x-log)
2012-03-23 23:40 EDT, Saurabh Bathe
no flags Details

  None (edit)
Description Saurabh Bathe 2012-03-23 23:40:07 EDT
Created attachment 572396 [details]
log entries from vdsm.log

Description of problem:
Created a VM in a datacenter after installing and configuring oVirt. Now cannot delete the VM. 

Version-Release number of selected component (if applicable):
3.0

How reproducible:
Always

Steps to Reproduce:
1. Create a Datacenter
2. Add a host
3. Add a local storage domain
4. Create a VM on the host.
5. Try to delete the VM
  
Actual results:
"Failed to remove VM test(User: admin at internal)."

Expected results:
VM should be deleted

Additional info:

Error from vdsm.log:

Thread-207010::ERROR::2012-03-19
11:42:02,591::dispatcher::90::Storage.Dispatcher.Protect::(run)
{'status': {'message': "Volume does not exist:
('c0cbe099-aa2d-444e-a734-1de7d9171498',)", 'code': 201}}

The file is present on the file system

[root at ovirt-node ~]# find /data -name
'c0cbe099-aa2d-444e-a734-1de7d9171498*'/data/images/rhev/ff81a0d4-b132-4d9b-972a-1a75319fd061/images/c0219347-b425-4ee6-a6e1-c0fdd1a8a71d/c0cbe099-aa2d-444e-a734-1de7d9171498
/data/images/rhev/ff81a0d4-b132-4d9b-972a-1a75319fd061/images/c0219347-b425-4ee6-a6e1-c0fdd1a8a71d/c0cbe099-aa2d-444e-a734-1de7d9171498.meta
Comment 1 Itamar Heim 2013-03-12 04:58:50 EDT
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.